%define module	Net-SSH2
%define name	perl-%{module}
%define version	0.18
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Support for the SSH 2 protocol via libSSH2
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/Net/%{module}-%{version}.tar.bz2
Buildrequires:	perl-devel
BuildRequires:	perl(Term::ReadKey)
BuildRequires:	libssh-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Net::SSH2 is a perl interface to the libssh2 (http://www.libssh2.org) library.
It supports the SSH2 protocol (there is no support for SSH1) with all of the
key exchanges, ciphers, and compression of libssh2.

%prep
%setup -q -n %{module}-%{version}

perl -pi -e 's~^my \$inc.*~my \$inc = "%_includedir";~' Makefile.PL
perl -pi -e 's~^my \$lib.*~my \$lib = "%_libdir";~' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"


%check
%{__make} test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/*/*


%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.18-2mdv2008.1
+ Revision: 152228
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
+ Revision: 109590
- new version

* Tue Aug 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdv2008.0
+ Revision: 72862
- fix build


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.10-1mdv2007.0
+ Revision: 131671
- 0.10

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.09-1mdv2007.1
+ Revision: 95157
- 0.09

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2007.0
+ Revision: 53855
- rebuild
- Import perl-Net-SSH2

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2007.0
- New release 0.08
- fix compilation flags

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.07-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Mar 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdk
- New release 0.07

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- fix buildrequires

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-2mdk
- Add BuildRequires: perl-Term-ReadKey

* Tue Dec 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.05-1mdk
- 0.05

* Fri Nov 18 2005 Olivier Thauvin <nanardon@mandriva.org> 0.04-1mdk
- initial contrib

